Detailed System Requirements for HCL Workload Automation, version 10.1.0

This document provides details of the system requirements for all HCL Workload Automation components on all supported operating systems.

The topics included are:

To download the HCL Workload Automation images go to the HCL License Portal page.

To view the HCL Workload Automation Release Notes, go to the Release Notes page.

To view the HCL Dynamic Workload Console, go to the Dynamic Workload Console System Requirements page.

To access the HCL Workload Automation documentation, see the online HCL Workload Automation Publications.


Top

Supported operating systems for the engine

To obtain the latest information about the required versions for each supported operating system, see the Operating Systems document.

Notes:
On IBM i systems, JDK V1.8 must be installed in the /QOpenSys/QIBM/ProdData/JavaVM/jdk80/64bit/jre directory.

The following libraries are required on Linux:

On AIX OS version 7.2.5.0, ensure you have installed APAR IJ30808. For more information, see IJ30808.


Software requirements

Top

This section contains the following sub-sections:

Software requirements for HCL Workload Automation

To obtain the latest information about the following requirements, see the Supported Software document:

Notes:

DB2
For a complete list of supported operating systems for DB2, see the Supported Software document.
Bundled DB2
HCL Workload Automation is supplied with a version of the DB2 server for the supported operating systems. This version can be installed by you separately before the product installation.

Note:The bundled version of DB2 is provided solely for use with HCL Workload Automation (see the product license for details).

Non-Bundled DB2
If you are using a supported version of DB2 for which you have purchased a license (a non-bundled DB2), then HCL Workload Automation will support it provided that the product edition is the same as the Bundled DB2 product edition or is a product edition with higher entitlements.
Remaining supported databases
The software for supported databases other than DB2 is not supplied with HCL Workload Automation: use your own version of the database software. For a complete list of supported operating systems, see the Supported Software document.

Plug-ins

To obtain the latest information about plug-ins, see Automation Hub.

PeopleSoft

You must have access to the psjoa.jar file located in the ps_home\class directory of the indicated version.

SAP

The support statement for SAP S/4HANA, on-premise edition, has been extended to 2020 and future fix packs, based on SAP_BASIS 7.55 component.

You must have one of the following installed, configured, and working: SAP version 7.00, 7.01, 7.02, 7.10, 7.11, 7.20, 7.30, 7.31, 7.40, 7.50, or 7.50 S/4HANA.

To understand if a SAP System is compatible with HCL Workload Automation, check if your system exposes the following interfaces:

If the above interfaces are exposed, HCL Workload Automation supports the SAP system.

SAP Access Method Requirements

To have the SAP access method work correctly, ensure that you have installed the SAP NetWeaver RFC Library. At least SDK 7.50 is required. You must download these libraries from the SAP Service Marketplace (visit https://support.sap.com/en/product/connectors.html) and copy them to the following directory:

For details about installation, support, and availability of the SAP NetWeaver RFC Library 7.50, refer to the SAP note 2573790.
 

For further details, refer to the SAP note 2556567.

SAP Notes

The following list shows the SAP Notes to apply:

SAP Basis  Version SAP Notes
 7.00  684106, 792767, 833777, 862989, 1257432, 1299738
 7.01  1658978, 1402400, 1447880, 1461421, 1639210
 7.02  786412, 1658978, 1402400, 1447880, 1461421, 1639210, 2397779
 7.10  729317, 1257432, 1299738
 7.20  786412, 1658978, 1402400, 1447880, 1461421, 1639210
 7.30  1658978, 1447880, 1639210, 2397779
 7.31  1658978, 1447880, 1639210, 2397779
 7.40  2397779
 7.50, 7.50 S/4HANA  2397779

Prerequisite SAP Notes for r3batch

SAP Business Warehouse

Ensure that you have the required SAP Business Warehouse Support Package, as follows:

 SAP Business Warehouse Versions  SAP Notes
 7.0  826878, 1059049, 1049735, 1100457, 1130034, 1723482
 7.01  1723482
 7.02  1723482
 7.10  1723482
 7.11  1723482
 7.20  1723482
 7.30  1723482
 7.31  1723482
 7.40  None
 7.50, 7.50 S/4HANA  None
 2.0 BW/4HANA  None

SAP Solution Manager

To start Dynamic Workload Console from SAP Solution Manager, install the following SAP notes in the specified order:

  1. 1999878: Several SMSE extensions
  2. 2029063: Job Management creates incorrect permalink URLs for external scheduler
  3. 2164341: URL checking

Software requirements for WebSphere Application Server Liberty Base

All operating systems supported by Dynamic Workload Console are supported by IBM WebSphere Application Server Liberty Base.

IBM WebSphere Application Server Liberty Base adopts a continuous delivery model where new versions are deployed on a monthly basis. During the formal testing phase, HCL Workload Automation and the Dynamic Workload Console Version 10.1.0 were  tested using WebSphere Application Server Liberty V21.0.0.12 Base.

Note that versions 22.0.0.1 and 22.0.0.2 cannot be used with HCL Workload Automation. This issue should be solved with a future IBM WebSphere Application Server Liberty Base release. For more information about which version 22.0.0.x can be used in the future, see WebSphere Application Server Liberty Supported Versions.

Supported LDAP Servers

For a list of the LDAP servers supported by HCL Workload Automationr, refer to WebSphere Application Server Liberty base documentation, for example: Configuring LDAP user registries in Liberty and Federation of user registries.


Hardware requirements

Top

This section contains the following sub-sections:

Permanent disk space requirements when installing the product

To obtain the latest information about permanent disk space requirements when installing HCL Workload Automation on supported operating systems, see the Supported Hardware document.

Notes:
  1. Space for RDBMS: The disk space requirements listed in the report do not include the space required for the RDBMS software you have chosen, details of which can be obtained from their support documentation.

    Nor do they include the additional space requirement for the base support of HCL Workload Automation (without scheduling data), which is 2 GB.

  2. Space requirements for operating HCL Workload Automation: The disk space requirements listed in the report does not include the space required to operate HCL Workload Automation. For this you must consider the additional space required for the following:

    The space required is very subjective and depends on how you use HCL Workload Automation. If you are already a user of the product, you will have an idea of how much space it currently occupies. However, you should bear in mind that each version of the system uses more disk space than the previous one. If you are a new user you will probably set up a test system to help you grow familiar with the product and you should be able to scale up the operating space requirements of the test system to give you an indication of how much space you will be using in a fully functional live system.

Temporary space requirements

To obtain the latest information about temporary space requirements, see the Supported Hardware document.

Virtual memory swap space requirements

HCL Workload Automation requires a minimum of 2 GB of virtual memory swap space on the file system of any operating system.

Memory requirements

Table 2: Memory (MB) summarizes the memory requirements for the various components, on all operating systems:

Table 2: Memory (MB)

Memory MDM or
DDM
Dynamic agent
or
z-centric agent
Fault-tolerant agent File Proxy
Recommended 8192 1024 1024 2000
Required 4096 1024 512 1000

AIDA requirements

For information about AIDA requirements, see the AIDA Detailed System Requirements.


Top

© Copyright HCL Technologies Limited 2016, 2022.